Subject: [Bridge-mib] comments on draft-ietf-bridge-bridgemib-smiv2-00.txt

From: Mike MacFaden <[email-masked]>
Date: Sat, 07 Jul 2001 14:04:01 -0700

Four comments on this I-D.

1) dot1dBasePortIfIndex SYNTAX should be InterfaceIndex 
not Integer32 

The common convention taken in other mibs such 
as rfc 2115 is to import and use the TC InterfaceIndex.
If the fate sharing relationship between a dot1dBasePortEntry 
and an ifEntry is not the same, then use the TC 
InterfaceIndexOrZero.

In implementing RFC 1493 and 2683 and LAG-MIB/802.3ad, 
we ran into some interesting configuraiton sequences and 
how that impacted what we reported in BRIDGE-MIB, 

One sequence in question is 
when two existing physical ports in a bridge MIB are 
combined into one logical Link Aggregation port.
We published our implementation report 
at http://www.nmops.org/download/rs-snmp-mgmt.pdf 
appendix D: 
2) I would change the text here from "traps" to notifications 
as the SNMP-NOTIFICATION-MIB can allow the end user 
to decide what type of PDU should be emitted. 
-- ---------------------------------------------------------- -- 
-- Traps for use by Bridges 
-- ---------------------------------------------------------- -- 
-- Traps for the Spanning Tree Protocol 
-- ---------------------------------------

3) This object duplicates ifAdminStatus and should be deprecated 
dot1dStpPortEnable OBJECT-TYPE 
SYNTAX INTEGER { 
enabled(1), 
disabled(2) 
} 
MAX-ACCESS read-write 
STATUS current 
DESCRIPTION 
"The enabled/disabled status of the port." 
REFERENCE 
"IEEE 802.1D-1990: Section 4.5.5.2" 
::= { dot1dStpPortEntry 4 }

4) There is no object to turn (r)STP off on a given port. 
Most implementations in the field allow one to turn this 
protocol on/off per port. I suggest adding such an object.

5) Please add an object to represent when a row 
was last added or deleted or the values for 
dot1dBasePortIfIndex or dot1dBasePortCircuit change 
from dot1dBasePortTable 
so applications can implement more efficient polling 
of this table. 

Of final note, The MIB modules passes smicng 2.2.11 just fine 
but smilint 0.2.14 had problems parsing the Nofication definitions.
Regards, 
Mike MacFaden

_______________________________________________
Bridge-mib mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/bridge-mib